<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
  
// database connection will be here
// include database and object files
include_once '../config/database.php';
include_once '../config/bukku.php';
include_once '../requestedSessions/clientRequests.php';
include_once '../requestedSessions/bukkuQuotation.php';
  
// instantiate database and product object
$database = new Database();
$db = $database->getConnection();
$bukku = new Bukku();
$bBT = $bukku->getToken();
$bUrl = $bukku->getBaseURL();
  
// initialize object
$sessions = new ClientRequests($db);
$bukkuQuotation = new BukkuQuotation($bBT, $bUrl);

$request_method=$_SERVER["REQUEST_METHOD"];

// get posted data
$data = json_decode(file_get_contents("php://input"));

switch($request_method)
{
    case 'POST':
        // make sure data is not empty
        if(!empty($data)){
            // set product property values
            
            $sessions->newSession = $data;
            $result = $sessions->newClientRequest();
        
            switch($result['status']){
                case 1:                    
                    http_response_code(200);
                    echo json_encode($result);
                    break;
                case 0:
                    http_response_code(404);
                    echo json_encode($result);
                    break;
            }
        }else{
            // set response code - 400 bad request
            http_response_code(400);
            // tell the user
            echo json_encode(array("message" => "Empty Data"));
        }
        
        break;
        
    case 'PATCH':
        // make sure data is not empty
        if(!empty($data)){
            
            // set product property values
            $sessions->newSession = $data;
        
            $result = $sessions->updateClientRequest();
            
            switch($result['status']){
                case 1:
                    http_response_code(200);
                    echo json_encode($result);
                    break;
                case 0:
                    http_response_code(404);
                    echo json_encode($result);
                    break;
            }
            
        }else{
            // set response code - 400 bad request
            http_response_code(400);
            // tell the user
            echo json_encode(array("message" => "Empty Data"));
        }
        break;
        
    default:
            // set response code - 405 bad request
            http_response_code(405);
            // tell the user
            echo json_encode(array("message" => "Invalid Method"));
            break;
}